--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: errs
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: ins
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: outs
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: StreamUI implements a simple stream based user interface.
constants: []

full_name: Gem::StreamUI
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: alert
- !ruby/object:RI::MethodSummary 
  name: alert_error
- !ruby/object:RI::MethodSummary 
  name: alert_warning
- !ruby/object:RI::MethodSummary 
  name: ask
- !ruby/object:RI::MethodSummary 
  name: ask_yes_no
- !ruby/object:RI::MethodSummary 
  name: choose_from_list
- !ruby/object:RI::MethodSummary 
  name: progress_reporter
- !ruby/object:RI::MethodSummary 
  name: say
- !ruby/object:RI::MethodSummary 
  name: terminate_interaction
name: StreamUI
superclass: Object
